<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <ol id="lista">
        <li id="primero">lorem ipsum dolor</li>
        <li>asperiores ad, quam unde.Fuga</li>
    </ol>
    <script>
        // var primerelemento=document.getElementById("primero");
        // con textConter 
        // primerelemento.textContent="texto nuevo";
        // primerelemento.innerHTML="nuevo texto <i class='foo'>robtOne</i>"
        var elemento=document.createElement("li"),
            contenido=document.createTextNode("texto nuevo");
            elemento.appendChild(contenido);
            // var padre=document.getElementsByTagName("li")[0].parentNode,
            // referencia=document.getElementsByTagName("li")[0];
            // padre.replaceChild(elemento,referencia);
            var padre=document.getElementsByTagName("li")[0].parentNode,
                referencia=document.getElementsByTagName("li")[0];
            padre.removeChild(referencia);
    </script>
</body>
</html>